Show / Hide Table of Contents

# Class StreamingGame

A user's activity for streaming on services such as Twitch.

##### Inheritance

System.Object
Game
StreamingGame

##### Implements

IActivity

##### Inherited Members

Game.Name
Game.Type
Game.Flags
Game.Details
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class StreamingGame : Game, IActivity

### Constructors

| Improve this Doc View Source

#### StreamingGame(String, String)

Creates a new StreamingGame based on the `name` on the stream URL.

##### Declaration

    public StreamingGame(string name, string url)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | The name of the stream.
System.String | url | The URL of the stream.

### Properties

| Improve this Doc View Source

#### Url

Gets the URL of the stream.

##### Declaration

    public string Url { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### ToString()

Gets the name of the stream.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

Game.ToString()

### Implements

IActivity